List Funding Networks
curl --request GET \
--url https://api.kraken.com/funding/v1/networks \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.kraken.com/funding/v1/networks"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.kraken.com/funding/v1/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/funding/v1/networks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"network_groups": [
{
"network_group_id": "f95acdb7-48fb-4441-b5b4-843d3bf60e61",
"name": "EVM",
"network_ids": [
"2c6eeff9-bd5f-4c09-982d-a5855fa9f0dd",
"bc7562cf-1e51-4308-b52b-d062aaa6aa3b",
"473365c2-4c95-4bd9-b5c8-974fb91c7d6b"
]
}
],
"networks": [
{
"network_id": "2c6eeff9-bd5f-4c09-982d-a5855fa9f0dd",
"name": "Arbitrum Nova"
},
{
"network_id": "bc7562cf-1e51-4308-b52b-d062aaa6aa3b",
"name": "Arbitrum One"
},
{
"network_id": "473365c2-4c95-4bd9-b5c8-974fb91c7d6b",
"name": "Avalanche C Chain"
}
]
}Funding (Beta)
List Funding Networks
Retrieve networks and network groups available for funding, including which networks share an address format.
API Key Permissions Required: Funds permissions - Query
GET
/
funding
/
v1
/
networks
List Funding Networks
curl --request GET \
--url https://api.kraken.com/funding/v1/networks \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.kraken.com/funding/v1/networks"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.kraken.com/funding/v1/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/funding/v1/networks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"network_groups": [
{
"network_group_id": "f95acdb7-48fb-4441-b5b4-843d3bf60e61",
"name": "EVM",
"network_ids": [
"2c6eeff9-bd5f-4c09-982d-a5855fa9f0dd",
"bc7562cf-1e51-4308-b52b-d062aaa6aa3b",
"473365c2-4c95-4bd9-b5c8-974fb91c7d6b"
]
}
],
"networks": [
{
"network_id": "2c6eeff9-bd5f-4c09-982d-a5855fa9f0dd",
"name": "Arbitrum Nova"
},
{
"network_id": "bc7562cf-1e51-4308-b52b-d062aaa6aa3b",
"name": "Arbitrum One"
},
{
"network_id": "473365c2-4c95-4bd9-b5c8-974fb91c7d6b",
"name": "Avalanche C Chain"
}
]
}Authorizations
API-Key & API-Sign & API-NonceAPI-Key & API-Sign & API-Nonce & API-OTP
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
The "API-Nonce" header should contain an always-increasing 64-bit integer, most commonly a Unix timestamp in milliseconds. Each request must use a nonce greater than the nonce of the previous request signed with the same API key.
Query Parameters
Account ID
Was this page helpful?